import { OnInit, EventEmitter, ElementRef, OnChanges, SimpleChanges } from '@angular/core';
import { Router, ActivatedRoute } from '@angular/router';
import { BaseDirective } from '../../base.directive';
import { EuiActionIconEvent, EuiMenuItem } from './models/eui-menu-item.model';
import * as i0 from "@angular/core";
export declare class EuiMenuComponent extends BaseDirective implements OnInit, OnChanges {
    private router;
    private route;
    items: EuiMenuItem[];
    isCollapsed: boolean;
    hasFilter: boolean;
    hasIcons: boolean;
    hasTooltip: boolean;
    expandAllItems: boolean;
    fragmentId: string;
    searchFilterLabel: string;
    expandMenuLabel: string;
    collapseMenuLabel: string;
    externalLinkLabel: string;
    onClicked: EventEmitter<any>;
    onItemClicked: EventEmitter<EuiMenuItem>;
    inputFilterElement: ElementRef<any>;
    itemsState: any[];
    constructor(router: Router, route: ActivatedRoute);
    get cssClasses(): string;
    stopPropagation(event: MouseEvent): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onClick(item: EuiMenuItem): void;
    onExpandToggle(item: EuiMenuItem): void;
    onActionIconClick(event: EuiActionIconEvent): void;
    onMenuFilterClick(event: Event): void;
    onFilter(event: any): void;
    onClearInput(): void;
    private _onToggleExpandAllItems;
    static ɵfac: i0.ɵɵFactoryDef<EuiMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDefWithMeta<EuiMenuComponent, "eui-menu", never, { "items": "items"; "isCollapsed": "isCollapsed"; "hasFilter": "hasFilter"; "hasIcons": "hasIcons"; "hasTooltip": "hasTooltip"; "expandAllItems": "expandAllItems"; "fragmentId": "fragmentId"; "searchFilterLabel": "searchFilterLabel"; "expandMenuLabel": "expandMenuLabel"; "collapseMenuLabel": "collapseMenuLabel"; "externalLinkLabel": "externalLinkLabel"; }, { "onClicked": "onClicked"; "onItemClicked": "onItemClicked"; }, never, never>;
}
